#!/bin/sh -e
# Copyright (C)2005..2021 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: test.sh,v 1.6 2021/06/06 15:43:33 babolo Exp $

p='tools/test -qo/dev/stdout'
t=`mktemp -t mular`
z=''

case `uname -m` in
i386)
    c='sed -Ee "s|^flags=[0-9A-F]{8} unit=4 tofree=NO level=|unit=4 tofree=NO level=|"'
    DOUB=0008
    MONO=0004
    ;;
*)
    c='sed -Ee "s|^flags=[0-9A-F]{8} unit=8 tofree=NO level=|unit=8 tofree=NO level=|"'
    DOUB=0010
    MONO=0008
    ;;
esac
DMON="`echo -n ${MONO} | sed -e 's|^000||'`"

nums() {
cat >> ${t} <<- "EOF"
	0=00~
	1=01~
	2=02~
	3=03~
	4=04~
	5=05~
	6=06~
	7=07~
	8=08~
	9=09~
	10=10~
	11=11~
	12=12~
	13=13~
	14=14~
	15=15~
	16=16~
	17=17~
	18=18~
	19=19~
	20=20~
	21=21~
	22=22~
	23=23~
	24=24~
	25=25~
	26=26~
	27=27~
	28=28~
	29=29~
	30=30~
	31=31~
	32=32~
	33=33~
	34=34~
	35=35~
	36=36~
	37=37~
	38=38~
	39=39~
	40=40~
	41=41~
	42=42~
	43=43~
	44=44~
	45=45~
	46=46~
	47=47~
	48=48~
	49=49~
	50=50~
	51=51~
	52=52~
	53=53~
	54=54~
	55=55~
	56=56~
	57=57~
	58=58~
	59=59~
	60=60~
	61=61~
	62=62~
	63=63~
	64=64~
	65=65~
	66=66~
EOF
}

while :; do
    echo
    echo "=== ${z}"
    echo '#00'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=1(from 3)
	                                   1
	     2[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..1]
	: [0]->9
	###################   End multilar dump ###################
	0=9~
EOF
    if ! ${p} -t${z}l3 2 2 2 9\
       | eval ${c}            \
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#01'
    eval ${c} > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     4[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..10]
	: [0..4]
	: : [0..2]
	: : : [0]->0
	: : : [1]->1
	: : [2..4]
	: : : [2]->2
	: : : [3]->3
	: [4..6]
	: : [4..6]
	: : : [4]->4
	: : : [5]->5
	: [6..8]
	: : [6..8]
	: : : [6]->6
	: : : [7]->7
	: [8..10]
	: : [8..10]
	: : : [8]->8
	: : : [9]->9
	###################   End multilar dump ###################
	0=0~
	1=1~
	2=2~
	3=3~
	4=4~
	5=5~
	6=6~
	7=7~
	8=8~
	9=9~
EOF
    if ! ${p} -t${z}l3 2 2 2 9 8 7 6 5 4 3 2 1 0\
       | eval ${c}                              \
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#02'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     8[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..10]
	: [0..3]
	: : [0..2]
	: : : [0]->0
	: : : [1]->1
	: : [2..3]
	: : : [2]->2
	: [3..4]
	: : [3..4]
	: : : [3]->3
	: [4..5]
	: : [4..5]
	: : : [4]->4
	: [5..6]
	: : [5..6]
	: : : [5]->5
	: [6..7]
	: : [6..7]
	: : : [6]->6
	: [7..8]
	: : [7..8]
	: : : [7]->7
	: [8..9]
	: : [8..9]
	: : : [8]->8
	: [9..10]
	: : [9..10]
	: : : [9]->9
	###################   End multilar dump ###################
	0=0~
	1=1~
	2=2~
	3=3~
	4=4~
	5=5~
	6=6~
	7=7~
	8=8~
	9=9~
EOF
    if ! ${p} -th${z}l3 2 2 2 9 8 7 6 5 4 3 2 1 0\
       | eval ${c}                               \
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#03'
    eval ${c} > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     4[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..10]
	: [0..2]
	: : [0..2]
	: : : [0]->0
	: : : [1]->1
	: [2..4]
	: : [2..4]
	: : : [2]->2
	: : : [3]->3
	: [4..6]
	: : [4..6]
	: : : [4]->4
	: : : [5]->5
	: [6..10]
	: : [6..8]
	: : : [6]->6
	: : : [7]->7
	: : [8..10]
	: : : [8]->8
	: : : [9]->9
	###################   End multilar dump ###################
	0=0~
	1=1~
	2=2~
	3=3~
	4=4~
	5=5~
	6=6~
	7=7~
	8=8~
	9=9~
EOF
    if ! ${p} -t${z}l3 2 2 2 0 1 2 3 4 5 6 7 8 9\
       | eval ${c}                              \
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#04'
    eval ${c} > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     8[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..10]
	: [0..1]
	: : [0..1]
	: : : [0]->0
	: [1..2]
	: : [1..2]
	: : : [1]->1
	: [2..3]
	: : [2..3]
	: : : [2]->2
	: [3..4]
	: : [3..4]
	: : : [3]->3
	: [4..5]
	: : [4..5]
	: : : [4]->4
	: [5..6]
	: : [5..6]
	: : : [5]->5
	: [6..7]
	: : [6..7]
	: : : [6]->6
	: [7..10]
	: : [7..8]
	: : : [7]->7
	: : [8..10]
	: : : [8]->8
	: : : [9]->9
	###################   End multilar dump ###################
	0=0~
	1=1~
	2=2~
	3=3~
	4=4~
	5=5~
	6=6~
	7=7~
	8=8~
	9=9~
EOF
    if ! ${p} -th${z}l3 2 2 2 0 1 2 3 4 5 6 7 8 9\
       | eval ${c}                               \
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#05'
    eval ${c} > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=6(from 6)
	           6           5           4           3           2           1
	    32[${DOUB}]     2[${DOUB}]     2[${DOUB}]     2[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..67]
	: [0..2]
	: : [0..2]
	: : : [0..2]
	: : : : [0..2]
	: : : : : [0..2]
	: : : : : : [0]->00
	: : : : : : [1]->01
	: [2..4]
	: : [2..4]
	: : : [2..4]
	: : : : [2..4]
	: : : : : [2..4]
	: : : : : : [2]->02
	: : : : : : [3]->03
	: [4..6]
	: : [4..6]
	: : : [4..6]
	: : : : [4..6]
	: : : : : [4..6]
	: : : : : : [4]->04
	: : : : : : [5]->05
	: [6..8]
	: : [6..8]
	: : : [6..8]
	: : : : [6..8]
	: : : : : [6..8]
	: : : : : : [6]->06
	: : : : : : [7]->07
	: [8..10]
	: : [8..10]
	: : : [8..10]
	: : : : [8..10]
	: : : : : [8..10]
	: : : : : : [8]->08
	: : : : : : [9]->09
	: [10..12]
	: : [10..12]
	: : : [10..12]
	: : : : [10..12]
	: : : : : [10..12]
	: : : : : : [10]->10
	: : : : : : [11]->11
	: [12..14]
	: : [12..14]
	: : : [12..14]
	: : : : [12..14]
	: : : : : [12..14]
	: : : : : : [12]->12
	: : : : : : [13]->13
	: [14..16]
	: : [14..16]
	: : : [14..16]
	: : : : [14..16]
	: : : : : [14..16]
	: : : : : : [14]->14
	: : : : : : [15]->15
	: [16..18]
	: : [16..18]
	: : : [16..18]
	: : : : [16..18]
	: : : : : [16..18]
	: : : : : : [16]->16
	: : : : : : [17]->17
	: [18..20]
	: : [18..20]
	: : : [18..20]
	: : : : [18..20]
	: : : : : [18..20]
	: : : : : : [18]->18
	: : : : : : [19]->19
	: [20..22]
	: : [20..22]
	: : : [20..22]
	: : : : [20..22]
	: : : : : [20..22]
	: : : : : : [20]->20
	: : : : : : [21]->21
	: [22..24]
	: : [22..24]
	: : : [22..24]
	: : : : [22..24]
	: : : : : [22..24]
	: : : : : : [22]->22
	: : : : : : [23]->23
	: [24..26]
	: : [24..26]
	: : : [24..26]
	: : : : [24..26]
	: : : : : [24..26]
	: : : : : : [24]->24
	: : : : : : [25]->25
	: [26..28]
	: : [26..28]
	: : : [26..28]
	: : : : [26..28]
	: : : : : [26..28]
	: : : : : : [26]->26
	: : : : : : [27]->27
	: [28..30]
	: : [28..30]
	: : : [28..30]
	: : : : [28..30]
	: : : : : [28..30]
	: : : : : : [28]->28
	: : : : : : [29]->29
	: [30..32]
	: : [30..32]
	: : : [30..32]
	: : : : [30..32]
	: : : : : [30..32]
	: : : : : : [30]->30
	: : : : : : [31]->31
	: [32..34]
	: : [32..34]
	: : : [32..34]
	: : : : [32..34]
	: : : : : [32..34]
	: : : : : : [32]->32
	: : : : : : [33]->33
	: [34..36]
	: : [34..36]
	: : : [34..36]
	: : : : [34..36]
	: : : : : [34..36]
	: : : : : : [34]->34
	: : : : : : [35]->35
	: [36..38]
	: : [36..38]
	: : : [36..38]
	: : : : [36..38]
	: : : : : [36..38]
	: : : : : : [36]->36
	: : : : : : [37]->37
	: [38..40]
	: : [38..40]
	: : : [38..40]
	: : : : [38..40]
	: : : : : [38..40]
	: : : : : : [38]->38
	: : : : : : [39]->39
	: [40..42]
	: : [40..42]
	: : : [40..42]
	: : : : [40..42]
	: : : : : [40..42]
	: : : : : : [40]->40
	: : : : : : [41]->41
	: [42..44]
	: : [42..44]
	: : : [42..44]
	: : : : [42..44]
	: : : : : [42..44]
	: : : : : : [42]->42
	: : : : : : [43]->43
	: [44..46]
	: : [44..46]
	: : : [44..46]
	: : : : [44..46]
	: : : : : [44..46]
	: : : : : : [44]->44
	: : : : : : [45]->45
	: [46..48]
	: : [46..48]
	: : : [46..48]
	: : : : [46..48]
	: : : : : [46..48]
	: : : : : : [46]->46
	: : : : : : [47]->47
	: [48..50]
	: : [48..50]
	: : : [48..50]
	: : : : [48..50]
	: : : : : [48..50]
	: : : : : : [48]->48
	: : : : : : [49]->49
	: [50..52]
	: : [50..52]
	: : : [50..52]
	: : : : [50..52]
	: : : : : [50..52]
	: : : : : : [50]->50
	: : : : : : [51]->51
	: [52..54]
	: : [52..54]
	: : : [52..54]
	: : : : [52..54]
	: : : : : [52..54]
	: : : : : : [52]->52
	: : : : : : [53]->53
	: [54..56]
	: : [54..56]
	: : : [54..56]
	: : : : [54..56]
	: : : : : [54..56]
	: : : : : : [54]->54
	: : : : : : [55]->55
	: [56..58]
	: : [56..58]
	: : : [56..58]
	: : : : [56..58]
	: : : : : [56..58]
	: : : : : : [56]->56
	: : : : : : [57]->57
	: [58..67]
	: : [58..60]
	: : : [58..60]
	: : : : [58..60]
	: : : : : [58..60]
	: : : : : : [58]->58
	: : : : : : [59]->59
	: : [60..67]
	: : : [60..62]
	: : : : [60..62]
	: : : : : [60..62]
	: : : : : : [60]->60
	: : : : : : [61]->61
	: : : [62..67]
	: : : : [62..64]
	: : : : : [62..64]
	: : : : : : [62]->62
	: : : : : : [63]->63
	: : : : [64..67]
	: : : : : [64..66]
	: : : : : : [64]->64
	: : : : : : [65]->65
	: : : : : [66..67]
	: : : : : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -t${z}l6 2 2 2 2 2 2 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#06'
    eval ${c} > ${t} <<- EOF
	################### Begin multilar dump ###################
	flags=00002043 unit=${DMON} tofree=NO level=6(from 6)
	           6           5           4           3           2           1
	    64[${DOUB}]     2[${DOUB}]     2[${DOUB}]     2[${DOUB}]     2[${DOUB}]     2[${MONO}]
	[0..67]
	: [0..1]
	: : [0..1]
	: : : [0..1]
	: : : : [0..1]
	: : : : : [0..1]
	: : : : : : [0]->00
	: [1..2]
	: : [1..2]
	: : : [1..2]
	: : : : [1..2]
	: : : : : [1..2]
	: : : : : : [1]->01
	: [2..3]
	: : [2..3]
	: : : [2..3]
	: : : : [2..3]
	: : : : : [2..3]
	: : : : : : [2]->02
	: [3..4]
	: : [3..4]
	: : : [3..4]
	: : : : [3..4]
	: : : : : [3..4]
	: : : : : : [3]->03
	: [4..5]
	: : [4..5]
	: : : [4..5]
	: : : : [4..5]
	: : : : : [4..5]
	: : : : : : [4]->04
	: [5..6]
	: : [5..6]
	: : : [5..6]
	: : : : [5..6]
	: : : : : [5..6]
	: : : : : : [5]->05
	: [6..7]
	: : [6..7]
	: : : [6..7]
	: : : : [6..7]
	: : : : : [6..7]
	: : : : : : [6]->06
	: [7..8]
	: : [7..8]
	: : : [7..8]
	: : : : [7..8]
	: : : : : [7..8]
	: : : : : : [7]->07
	: [8..9]
	: : [8..9]
	: : : [8..9]
	: : : : [8..9]
	: : : : : [8..9]
	: : : : : : [8]->08
	: [9..10]
	: : [9..10]
	: : : [9..10]
	: : : : [9..10]
	: : : : : [9..10]
	: : : : : : [9]->09
	: [10..11]
	: : [10..11]
	: : : [10..11]
	: : : : [10..11]
	: : : : : [10..11]
	: : : : : : [10]->10
	: [11..12]
	: : [11..12]
	: : : [11..12]
	: : : : [11..12]
	: : : : : [11..12]
	: : : : : : [11]->11
	: [12..13]
	: : [12..13]
	: : : [12..13]
	: : : : [12..13]
	: : : : : [12..13]
	: : : : : : [12]->12
	: [13..14]
	: : [13..14]
	: : : [13..14]
	: : : : [13..14]
	: : : : : [13..14]
	: : : : : : [13]->13
	: [14..15]
	: : [14..15]
	: : : [14..15]
	: : : : [14..15]
	: : : : : [14..15]
	: : : : : : [14]->14
	: [15..16]
	: : [15..16]
	: : : [15..16]
	: : : : [15..16]
	: : : : : [15..16]
	: : : : : : [15]->15
	: [16..17]
	: : [16..17]
	: : : [16..17]
	: : : : [16..17]
	: : : : : [16..17]
	: : : : : : [16]->16
	: [17..18]
	: : [17..18]
	: : : [17..18]
	: : : : [17..18]
	: : : : : [17..18]
	: : : : : : [17]->17
	: [18..19]
	: : [18..19]
	: : : [18..19]
	: : : : [18..19]
	: : : : : [18..19]
	: : : : : : [18]->18
	: [19..20]
	: : [19..20]
	: : : [19..20]
	: : : : [19..20]
	: : : : : [19..20]
	: : : : : : [19]->19
	: [20..21]
	: : [20..21]
	: : : [20..21]
	: : : : [20..21]
	: : : : : [20..21]
	: : : : : : [20]->20
	: [21..22]
	: : [21..22]
	: : : [21..22]
	: : : : [21..22]
	: : : : : [21..22]
	: : : : : : [21]->21
	: [22..23]
	: : [22..23]
	: : : [22..23]
	: : : : [22..23]
	: : : : : [22..23]
	: : : : : : [22]->22
	: [23..24]
	: : [23..24]
	: : : [23..24]
	: : : : [23..24]
	: : : : : [23..24]
	: : : : : : [23]->23
	: [24..25]
	: : [24..25]
	: : : [24..25]
	: : : : [24..25]
	: : : : : [24..25]
	: : : : : : [24]->24
	: [25..26]
	: : [25..26]
	: : : [25..26]
	: : : : [25..26]
	: : : : : [25..26]
	: : : : : : [25]->25
	: [26..27]
	: : [26..27]
	: : : [26..27]
	: : : : [26..27]
	: : : : : [26..27]
	: : : : : : [26]->26
	: [27..28]
	: : [27..28]
	: : : [27..28]
	: : : : [27..28]
	: : : : : [27..28]
	: : : : : : [27]->27
	: [28..29]
	: : [28..29]
	: : : [28..29]
	: : : : [28..29]
	: : : : : [28..29]
	: : : : : : [28]->28
	: [29..30]
	: : [29..30]
	: : : [29..30]
	: : : : [29..30]
	: : : : : [29..30]
	: : : : : : [29]->29
	: [30..31]
	: : [30..31]
	: : : [30..31]
	: : : : [30..31]
	: : : : : [30..31]
	: : : : : : [30]->30
	: [31..32]
	: : [31..32]
	: : : [31..32]
	: : : : [31..32]
	: : : : : [31..32]
	: : : : : : [31]->31
	: [32..33]
	: : [32..33]
	: : : [32..33]
	: : : : [32..33]
	: : : : : [32..33]
	: : : : : : [32]->32
	: [33..34]
	: : [33..34]
	: : : [33..34]
	: : : : [33..34]
	: : : : : [33..34]
	: : : : : : [33]->33
	: [34..35]
	: : [34..35]
	: : : [34..35]
	: : : : [34..35]
	: : : : : [34..35]
	: : : : : : [34]->34
	: [35..36]
	: : [35..36]
	: : : [35..36]
	: : : : [35..36]
	: : : : : [35..36]
	: : : : : : [35]->35
	: [36..37]
	: : [36..37]
	: : : [36..37]
	: : : : [36..37]
	: : : : : [36..37]
	: : : : : : [36]->36
	: [37..38]
	: : [37..38]
	: : : [37..38]
	: : : : [37..38]
	: : : : : [37..38]
	: : : : : : [37]->37
	: [38..39]
	: : [38..39]
	: : : [38..39]
	: : : : [38..39]
	: : : : : [38..39]
	: : : : : : [38]->38
	: [39..40]
	: : [39..40]
	: : : [39..40]
	: : : : [39..40]
	: : : : : [39..40]
	: : : : : : [39]->39
	: [40..41]
	: : [40..41]
	: : : [40..41]
	: : : : [40..41]
	: : : : : [40..41]
	: : : : : : [40]->40
	: [41..42]
	: : [41..42]
	: : : [41..42]
	: : : : [41..42]
	: : : : : [41..42]
	: : : : : : [41]->41
	: [42..43]
	: : [42..43]
	: : : [42..43]
	: : : : [42..43]
	: : : : : [42..43]
	: : : : : : [42]->42
	: [43..44]
	: : [43..44]
	: : : [43..44]
	: : : : [43..44]
	: : : : : [43..44]
	: : : : : : [43]->43
	: [44..45]
	: : [44..45]
	: : : [44..45]
	: : : : [44..45]
	: : : : : [44..45]
	: : : : : : [44]->44
	: [45..46]
	: : [45..46]
	: : : [45..46]
	: : : : [45..46]
	: : : : : [45..46]
	: : : : : : [45]->45
	: [46..47]
	: : [46..47]
	: : : [46..47]
	: : : : [46..47]
	: : : : : [46..47]
	: : : : : : [46]->46
	: [47..48]
	: : [47..48]
	: : : [47..48]
	: : : : [47..48]
	: : : : : [47..48]
	: : : : : : [47]->47
	: [48..49]
	: : [48..49]
	: : : [48..49]
	: : : : [48..49]
	: : : : : [48..49]
	: : : : : : [48]->48
	: [49..50]
	: : [49..50]
	: : : [49..50]
	: : : : [49..50]
	: : : : : [49..50]
	: : : : : : [49]->49
	: [50..51]
	: : [50..51]
	: : : [50..51]
	: : : : [50..51]
	: : : : : [50..51]
	: : : : : : [50]->50
	: [51..52]
	: : [51..52]
	: : : [51..52]
	: : : : [51..52]
	: : : : : [51..52]
	: : : : : : [51]->51
	: [52..53]
	: : [52..53]
	: : : [52..53]
	: : : : [52..53]
	: : : : : [52..53]
	: : : : : : [52]->52
	: [53..54]
	: : [53..54]
	: : : [53..54]
	: : : : [53..54]
	: : : : : [53..54]
	: : : : : : [53]->53
	: [54..55]
	: : [54..55]
	: : : [54..55]
	: : : : [54..55]
	: : : : : [54..55]
	: : : : : : [54]->54
	: [55..56]
	: : [55..56]
	: : : [55..56]
	: : : : [55..56]
	: : : : : [55..56]
	: : : : : : [55]->55
	: [56..57]
	: : [56..57]
	: : : [56..57]
	: : : : [56..57]
	: : : : : [56..57]
	: : : : : : [56]->56
	: [57..58]
	: : [57..58]
	: : : [57..58]
	: : : : [57..58]
	: : : : : [57..58]
	: : : : : : [57]->57
	: [58..59]
	: : [58..59]
	: : : [58..59]
	: : : : [58..59]
	: : : : : [58..59]
	: : : : : : [58]->58
	: [59..60]
	: : [59..60]
	: : : [59..60]
	: : : : [59..60]
	: : : : : [59..60]
	: : : : : : [59]->59
	: [60..61]
	: : [60..61]
	: : : [60..61]
	: : : : [60..61]
	: : : : : [60..61]
	: : : : : : [60]->60
	: [61..67]
	: : [61..62]
	: : : [61..62]
	: : : : [61..62]
	: : : : : [61..62]
	: : : : : : [61]->61
	: : [62..67]
	: : : [62..63]
	: : : : [62..63]
	: : : : : [62..63]
	: : : : : : [62]->62
	: : : [63..67]
	: : : : [63..64]
	: : : : : [63..64]
	: : : : : : [63]->63
	: : : : [64..67]
	: : : : : [64..65]
	: : : : : : [64]->64
	: : : : : [65..67]
	: : : : : : [65]->65
	: : : : : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -th${z}l6 2 2 2 2 2 2 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#07'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     8[${DOUB}]     6[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..40]
	: : [0..8]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : [8..16]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : [16..24]
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : [24..32]
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : [32..40]
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: [40..67]
	: : [40..48]
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : [48..56]
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : [56..64]
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -t${z}l3 9 6 8 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#08'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     8[${DOUB}]     6[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..45]
	: : [0..9]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : [9..18]
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : [18..27]
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : [27..36]
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : : [35]->35
	: : [36..45]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: [45..67]
	: : [45..54]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : [54..63]
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : [63..67]
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -ts${z}l3 9 6 8 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#09'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     8[${DOUB}]     6[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..15]
	: : [0..5]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : [5..10]
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : : [9]->09
	: : [10..15]
	: : : [10]->10
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: [15..30]
	: : [15..20]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : [20..25]
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : [25..30]
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: [30..45]
	: : [30..35]
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : [35..40]
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : [40..45]
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: [45..67]
	: : [45..50]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : [50..55]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : [55..60]
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : [60..67]
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -th${z}l3 9 6 8 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#10'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     8[${DOUB}]     6[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..12]
	: : [0..4]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : [4..8]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : [8..12]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: [12..24]
	: : [12..16]
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : [16..20]
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : [20..24]
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: [24..36]
	: : [24..28]
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : [28..32]
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : [32..36]
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : : [35]->35
	: [36..48]
	: : [36..40]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : [40..44]
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : [44..48]
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: [48..67]
	: : [48..52]
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : : [51]->51
	: : [52..56]
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : [56..60]
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : [60..67]
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tsh${z}l3 9 6 8 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#11'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..11]
	: : [0..3]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : [3..11]
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..67]
	: : [11..19]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : [19..27]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : [27..35]
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : [35..43]
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : [43..51]
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : [51..59]
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : [59..67]
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -t${z}l3 9 8 6 66 65 64 63 62 61 60 59 58 57 56 55 54 53 52 51 50 49 48 47 46 45 44 43 42 41 40 39 38 37 36 35 34 33 32 31 30 29 28 27 26 25 24 23 22 21 20 19 18 17 16 15 14 13 12 11 10 09 08 07 06 05 04 03 02 01 00\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#12'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=2(from 3)
	                       2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..4]
	: : [0]->00
	: : [1]->01
	: : [2]->02
	: : [3]->03
	: [4..13]
	: : [4]->04
	: : [5]->05
	: : [6]->06
	: : [7]->07
	: : [8]->08
	: : [9]->09
	: : [10]->10
	: : [11]->11
	: : [12]->12
	: [13..22]
	: : [13]->13
	: : [14]->14
	: : [15]->15
	: : [16]->16
	: : [17]->17
	: : [18]->18
	: : [19]->19
	: : [20]->20
	: : [21]->21
	: [22..31]
	: : [22]->22
	: : [23]->23
	: : [24]->24
	: : [25]->25
	: : [26]->26
	: : [27]->27
	: : [28]->28
	: : [29]->29
	: : [30]->30
	: [31..40]
	: : [31]->31
	: : [32]->32
	: : [33]->33
	: : [34]->34
	: : [35]->35
	: : [36]->36
	: : [37]->37
	: : [38]->38
	: : [39]->39
	: [40..49]
	: : [40]->40
	: : [41]->41
	: : [42]->42
	: : [43]->43
	: : [44]->44
	: : [45]->45
	: : [46]->46
	: : [47]->47
	: : [48]->48
	: [49..58]
	: : [49]->49
	: : [50]->50
	: : [51]->51
	: : [52]->52
	: : [53]->53
	: : [54]->54
	: : [55]->55
	: : [56]->56
	: : [57]->57
	: [58..67]
	: : [58]->58
	: : [59]->59
	: : [60]->60
	: : [61]->61
	: : [62]->62
	: : [63]->63
	: : [64]->64
	: : [65]->65
	: : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -ts${z}l3 9 8 6 66 65 64 63 62 61 60 59 58 57 56 55 54 53 52 51 50 49 48 47 46 45 44 43 42 41 40 39 38 37 36 35 34 33 32 31 30 29 28 27 26 25 24 23 22 21 20 19 18 17 16 15 14 13 12 11 10 09 08 07 06 05 04 03 02 01 00\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#13'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..37]
	: : [0..7]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : [7..13]
	: : : [7]->07
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : : [12]->12
	: : [13..19]
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : [19..25]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : [25..31]
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : [31..37]
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : : [35]->35
	: : : [36]->36
	: [37..67]
	: : [37..43]
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : [43..49]
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : [49..55]
	: : : [49]->49
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : [55..61]
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : : [60]->60
	: : [61..67]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -th${z}l3 9 8 6 66 65 64 63 62 61 60 59 58 57 56 55 54 53 52 51 50 49 48 47 46 45 44 43 42 41 40 39 38 37 36 35 34 33 32 31 30 29 28 27 26 25 24 23 22 21 20 19 18 17 16 15 14 13 12 11 10 09 08 07 06 05 04 03 02 01 00\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#14'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..27]
	: : [0..7]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : [7..12]
	: : : [7]->07
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : [12..17]
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : [17..22]
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : [22..27]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: [27..47]
	: : [27..32]
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : [32..37]
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : : [35]->35
	: : : [36]->36
	: : [37..42]
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : [42..47]
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: [47..67]
	: : [47..52]
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : : [51]->51
	: : [52..57]
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..62]
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : [62..67]
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tsh${z}l3 9 8 6 66 65 64 63 62 61 60 59 58 57 56 55 54 53 52 51 50 49 48 47 46 45 44 43 42 41 40 39 38 37 36 35 34 33 32 31 30 29 28 27 26 25 24 23 22 21 20 19 18 17 16 15 14 13 12 11 10 09 08 07 06 05 04 03 02 01 00\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#15'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..19]
	: : [0..4]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : [4..12]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : [12..15]
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : [15..19]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: [19..67]
	: : [19..27]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : [27..35]
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : [35..41]
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : [41..50]
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : [50..59]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : [59..67]
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -t${z}l3 9 8 6 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#16'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..25]
	: : [0..4]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : [4..9]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : [9..12]
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : [12..21]
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : [21..25]
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..67]
	: : [25..34]
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : [34..41]
	: : : [34]->34
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : [41..50]
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : [50..59]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : [59..67]
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -ts${z}l3 9 8 6 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#17'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..31]
	: : [0..9]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : [9..17]
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : [17..25]
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : [25..31]
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: [31..67]
	: : [31..36]
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : : [35]->35
	: : [36..45]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : [45..50]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : [50..57]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..61]
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : : [60]->60
	: : [61..67]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -th${z}l3 9 8 6 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#18'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..29]
	: : [0..9]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : [9..17]
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : [17..23]
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : [23..29]
	: : : [23]->23
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..67]
	: : [29..34]
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : [34..39]
	: : : [34]->34
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : [39..45]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : [45..49]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : [49..57]
	: : : [49]->49
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..61]
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: : : [60]->60
	: : [61..67]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tsh${z}l3 9 8 6 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#19'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..1]
	: : : [0]->00
	: : [1..4]
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: [4..11]
	: : [4..7]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..19]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..16]
	: : : [14]->14
	: : : [15]->15
	: : [16..19]
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: [19..25]
	: : [19..22]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..34]
	: : [29..31]
	: : : [29]->29
	: : : [30]->30
	: : [31..33]
	: : : [31]->31
	: : : [32]->32
	: : [33..34]
	: : : [33]->33
	: [34..39]
	: : [34..36]
	: : : [34]->34
	: : : [35]->35
	: : [36..39]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: [39..45]
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : [42..45]
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: [45..52]
	: : [45..48]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : [48..51]
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : [51..52]
	: : : [51]->51
	: [52..54]
	: : [52..53]
	: : : [52]->52
	: : [53..54]
	: : : [53]->53
	: [54..58]
	: : [54..55]
	: : : [54]->54
	: : [55..58]
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: [58..64]
	: : [58..59]
	: : : [58]->58
	: : [59..61]
	: : : [59]->59
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: [64..67]
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -t${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#20'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..1]
	: : : [0]->00
	: : [1..4]
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: [4..11]
	: : [4..7]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..19]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..16]
	: : : [14]->14
	: : : [15]->15
	: : [16..19]
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: [19..25]
	: : [19..22]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..34]
	: : [29..31]
	: : : [29]->29
	: : : [30]->30
	: : [31..33]
	: : : [31]->31
	: : : [32]->32
	: : [33..34]
	: : : [33]->33
	: [34..39]
	: : [34..36]
	: : : [34]->34
	: : : [35]->35
	: : [36..39]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: [39..45]
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: : [42..45]
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: [45..52]
	: : [45..48]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : [48..51]
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: : [51..52]
	: : : [51]->51
	: [52..54]
	: : [52..53]
	: : : [52]->52
	: : [53..54]
	: : : [53]->53
	: [54..58]
	: : [54..55]
	: : : [54]->54
	: : [55..58]
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: [58..64]
	: : [58..59]
	: : : [58]->58
	: : [59..61]
	: : : [59]->59
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: [64..67]
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -ts${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#21'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..2]
	: : : [0]->00
	: : : [1]->01
	: : [2..4]
	: : : [2]->02
	: : : [3]->03
	: [4..6]
	: : [4..6]
	: : : [4]->04
	: : : [5]->05
	: [6..11]
	: : [6..7]
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..18]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..15]
	: : : [14]->14
	: : [15..18]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: [18..20]
	: : [18..20]
	: : : [18]->18
	: : : [19]->19
	: [20..25]
	: : [20..21]
	: : : [20]->20
	: : [21..22]
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..33]
	: : [29..30]
	: : : [29]->29
	: : [30..33]
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: [33..35]
	: : [33..35]
	: : : [33]->33
	: : : [34]->34
	: [35..42]
	: : [35..37]
	: : : [35]->35
	: : : [36]->36
	: : [37..39]
	: : : [37]->37
	: : : [38]->38
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: [42..46]
	: : [42..43]
	: : : [42]->42
	: : [43..46]
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: [46..48]
	: : [46..48]
	: : : [46]->46
	: : : [47]->47
	: [48..53]
	: : [48..49]
	: : : [48]->48
	: : [49..50]
	: : : [49]->49
	: : [50..53]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: [53..60]
	: : [53..54]
	: : : [53]->53
	: : [54..57]
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..60]
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: [60..67]
	: : [60..61]
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -th${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#22'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..2]
	: : : [0]->00
	: : : [1]->01
	: : [2..4]
	: : : [2]->02
	: : : [3]->03
	: [4..6]
	: : [4..6]
	: : : [4]->04
	: : : [5]->05
	: [6..11]
	: : [6..7]
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..18]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..15]
	: : : [14]->14
	: : [15..18]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: [18..20]
	: : [18..20]
	: : : [18]->18
	: : : [19]->19
	: [20..25]
	: : [20..21]
	: : : [20]->20
	: : [21..22]
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..33]
	: : [29..30]
	: : : [29]->29
	: : [30..33]
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: [33..35]
	: : [33..35]
	: : : [33]->33
	: : : [34]->34
	: [35..42]
	: : [35..37]
	: : : [35]->35
	: : : [36]->36
	: : [37..39]
	: : : [37]->37
	: : : [38]->38
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: [42..46]
	: : [42..43]
	: : : [42]->42
	: : [43..46]
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: [46..48]
	: : [46..48]
	: : : [46]->46
	: : : [47]->47
	: [48..53]
	: : [48..49]
	: : : [48]->48
	: : [49..50]
	: : : [49]->49
	: : [50..53]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: [53..60]
	: : [53..54]
	: : : [53]->53
	: : [54..57]
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..60]
	: : : [57]->57
	: : : [58]->58
	: : : [59]->59
	: [60..67]
	: : [60..61]
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tsh${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#23'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..4]
	: : [0..4]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: [4..15]
	: : [4..12]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : [12..15]
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: [15..67]
	: : [15..19]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : [19..27]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : : [25]->25
	: : : [26]->26
	: : [27..35]
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : : [34]->34
	: : [35..41]
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : [41..50]
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : [50..59]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : [59..67]
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tu${z}l3 9 8 6 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#24'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	     6[${DOUB}]     8[${DOUB}]     9[${MONO}]
	[0..67]
	: [0..9]
	: : [0..4]
	: : : [0]->00
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: : [4..9]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : : [7]->07
	: : : [8]->08
	: [9..67]
	: : [9..12]
	: : : [9]->09
	: : : [10]->10
	: : : [11]->11
	: : [12..21]
	: : : [12]->12
	: : : [13]->13
	: : : [14]->14
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: : : [19]->19
	: : : [20]->20
	: : [21..25]
	: : : [21]->21
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: : [25..34]
	: : : [25]->25
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: : : [29]->29
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: : : [33]->33
	: : [34..41]
	: : : [34]->34
	: : : [35]->35
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : : [39]->39
	: : : [40]->40
	: : [41..50]
	: : : [41]->41
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : : [48]->48
	: : : [49]->49
	: : [50..59]
	: : : [50]->50
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: : : [58]->58
	: : [59..67]
	: : : [59]->59
	: : : [60]->60
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tsu${z}l3 9 8 6 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#25'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..1]
	: : : [0]->00
	: : [1..4]
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: [4..11]
	: : [4..7]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..19]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..16]
	: : : [14]->14
	: : : [15]->15
	: : [16..19]
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: [19..25]
	: : [19..22]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..33]
	: : [29..31]
	: : : [29]->29
	: : : [30]->30
	: : [31..33]
	: : : [31]->31
	: : : [32]->32
	: [33..34]
	: : [33..34]
	: : : [33]->33
	: [34..42]
	: : [34..36]
	: : : [34]->34
	: : : [35]->35
	: : [36..39]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: [42..51]
	: : [42..45]
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : [45..48]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : [48..51]
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: [51..54]
	: : [51..53]
	: : : [51]->51
	: : : [52]->52
	: : [53..54]
	: : : [53]->53
	: [54..58]
	: : [54..55]
	: : : [54]->54
	: : [55..58]
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: [58..59]
	: : [58..59]
	: : : [58]->58
	: [59..67]
	: : [59..61]
	: : : [59]->59
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tu${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#26'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..1]
	: : : [0]->00
	: : [1..4]
	: : : [1]->01
	: : : [2]->02
	: : : [3]->03
	: [4..11]
	: : [4..7]
	: : : [4]->04
	: : : [5]->05
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..19]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..16]
	: : : [14]->14
	: : : [15]->15
	: : [16..19]
	: : : [16]->16
	: : : [17]->17
	: : : [18]->18
	: [19..25]
	: : [19..22]
	: : : [19]->19
	: : : [20]->20
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..33]
	: : [29..31]
	: : : [29]->29
	: : : [30]->30
	: : [31..33]
	: : : [31]->31
	: : : [32]->32
	: [33..34]
	: : [33..34]
	: : : [33]->33
	: [34..42]
	: : [34..36]
	: : : [34]->34
	: : : [35]->35
	: : [36..39]
	: : : [36]->36
	: : : [37]->37
	: : : [38]->38
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: [42..51]
	: : [42..45]
	: : : [42]->42
	: : : [43]->43
	: : : [44]->44
	: : [45..48]
	: : : [45]->45
	: : : [46]->46
	: : : [47]->47
	: : [48..51]
	: : : [48]->48
	: : : [49]->49
	: : : [50]->50
	: [51..54]
	: : [51..53]
	: : : [51]->51
	: : : [52]->52
	: : [53..54]
	: : : [53]->53
	: [54..58]
	: : [54..55]
	: : : [54]->54
	: : [55..58]
	: : : [55]->55
	: : : [56]->56
	: : : [57]->57
	: [58..59]
	: : [58..59]
	: : : [58]->58
	: [59..67]
	: : [59..61]
	: : : [59]->59
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tsu${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#27'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..2]
	: : : [0]->00
	: : : [1]->01
	: : [2..4]
	: : : [2]->02
	: : : [3]->03
	: [4..6]
	: : [4..6]
	: : : [4]->04
	: : : [5]->05
	: [6..11]
	: : [6..7]
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..18]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..15]
	: : : [14]->14
	: : [15..18]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: [18..20]
	: : [18..20]
	: : : [18]->18
	: : : [19]->19
	: [20..25]
	: : [20..21]
	: : : [20]->20
	: : [21..22]
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..33]
	: : [29..30]
	: : : [29]->29
	: : [30..33]
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: [33..35]
	: : [33..35]
	: : : [33]->33
	: : : [34]->34
	: [35..42]
	: : [35..37]
	: : : [35]->35
	: : : [36]->36
	: : [37..39]
	: : : [37]->37
	: : : [38]->38
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: [42..46]
	: : [42..43]
	: : : [42]->42
	: : [43..46]
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: [46..48]
	: : [46..48]
	: : : [46]->46
	: : : [47]->47
	: [48..54]
	: : [48..50]
	: : : [48]->48
	: : : [49]->49
	: : [50..51]
	: : : [50]->50
	: : [51..54]
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: [54..59]
	: : [54..57]
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..59]
	: : : [57]->57
	: : : [58]->58
	: [59..60]
	: : [59..60]
	: : : [59]->59
	: [60..67]
	: : [60..61]
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -thu${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    echo '#28'
    cat > ${t} <<- EOF
	################### Begin multilar dump ###################
	unit=${DMON} tofree=NO level=3(from 3)
	           3           2           1
	    18[${DOUB}]     3[${DOUB}]     3[${MONO}]
	[0..67]
	: [0..4]
	: : [0..2]
	: : : [0]->00
	: : : [1]->01
	: : [2..4]
	: : : [2]->02
	: : : [3]->03
	: [4..6]
	: : [4..6]
	: : : [4]->04
	: : : [5]->05
	: [6..11]
	: : [6..7]
	: : : [6]->06
	: : [7..8]
	: : : [7]->07
	: : [8..11]
	: : : [8]->08
	: : : [9]->09
	: : : [10]->10
	: [11..18]
	: : [11..14]
	: : : [11]->11
	: : : [12]->12
	: : : [13]->13
	: : [14..15]
	: : : [14]->14
	: : [15..18]
	: : : [15]->15
	: : : [16]->16
	: : : [17]->17
	: [18..20]
	: : [18..20]
	: : : [18]->18
	: : : [19]->19
	: [20..25]
	: : [20..21]
	: : : [20]->20
	: : [21..22]
	: : : [21]->21
	: : [22..25]
	: : : [22]->22
	: : : [23]->23
	: : : [24]->24
	: [25..29]
	: : [25..26]
	: : : [25]->25
	: : [26..29]
	: : : [26]->26
	: : : [27]->27
	: : : [28]->28
	: [29..33]
	: : [29..30]
	: : : [29]->29
	: : [30..33]
	: : : [30]->30
	: : : [31]->31
	: : : [32]->32
	: [33..35]
	: : [33..35]
	: : : [33]->33
	: : : [34]->34
	: [35..42]
	: : [35..37]
	: : : [35]->35
	: : : [36]->36
	: : [37..39]
	: : : [37]->37
	: : : [38]->38
	: : [39..42]
	: : : [39]->39
	: : : [40]->40
	: : : [41]->41
	: [42..46]
	: : [42..43]
	: : : [42]->42
	: : [43..46]
	: : : [43]->43
	: : : [44]->44
	: : : [45]->45
	: [46..48]
	: : [46..48]
	: : : [46]->46
	: : : [47]->47
	: [48..54]
	: : [48..50]
	: : : [48]->48
	: : : [49]->49
	: : [50..51]
	: : : [50]->50
	: : [51..54]
	: : : [51]->51
	: : : [52]->52
	: : : [53]->53
	: [54..59]
	: : [54..57]
	: : : [54]->54
	: : : [55]->55
	: : : [56]->56
	: : [57..59]
	: : : [57]->57
	: : : [58]->58
	: [59..60]
	: : [59..60]
	: : : [59]->59
	: [60..67]
	: : [60..61]
	: : : [60]->60
	: : [61..64]
	: : : [61]->61
	: : : [62]->62
	: : : [63]->63
	: : [64..67]
	: : : [64]->64
	: : : [65]->65
	: : : [66]->66
	###################   End multilar dump ###################
EOF
    nums
    if ! ${p} -tshu${z}l3 3 3 9 15 66 63 19 17 58 03 11 06 41 35 10 14 46 45 57 64 04 56 50 25 29 20 52 33 32 39 02 60 30 37 09 28 34 27 48 24 36 59 31 05 23 47 16 01 21 12 07 40 00 61 53 42 13 49 65 44 18 08 43 54 51 55 22 26 38 62\
       | eval ${c}\
       | diff /dev/stdin ${t}
    then
        rm -f ${t}
        "$@"
    fi

    case "${z}" in
    "")
        z="z"
        ;;
#   z)
#       z="u"
#       ;;
#   u)
#       z="zu"
#       ;;
    *)
        break
        ;;
    esac
done
rm -f ${t}
